AttributeConstraint (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class AttributeConstraint

- java.lang.Object
- - siena.AttributeConstraint

-     public class AttributeConstraint
      extends java.lang.Object

  an elementary predicate over an attribute in an event notification. `AttributeConstraint`s are the basic elements of a `Filter`.

  An `AttributeConstraint` is defined by an operator and a value, and it is associated with an attribute name. Applying an `AttributeConstraint` with operator op and value v to an attribute value x means computing x op v.

  The operators provided by `AttributeConstraint` are defined in `Op`. They are equal, not-equal, less-than, less-or-equal, greater-than,greater-or-equal, has-substring, has-prefix, has-suffix, and any.

  See Also:
    `Op`, `Filter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `op` the comparison operator valid values are defined in `Op`
    `AttributeValue` | `value` the comparison value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeConstraint(AttributeConstraint c)` creates a (deep) copy of an attribute constraint
    `AttributeConstraint(AttributeValue v)` create an equality constraint with the given value
    `AttributeConstraint(short o, AttributeValue x)` create a constraint with the given value
    `AttributeConstraint(short o, boolean b)` create a constraint with the given boolean value
    `AttributeConstraint(short o, byte[] s)` create a constraint with the given byte[] value
    `AttributeConstraint(short o, double d)` create a constraint with the given long value
    `AttributeConstraint(short o, int i)` create a constraint with the given int value
    `AttributeConstraint(short o, long i)` create a constraint with the given long value
    `AttributeConstraint(short o, java.lang.String s)` create a constraint with the given string value

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `hashCode()`
    `boolean` | `isEqualTo(AttributeConstraint x)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          public AttributeValue value

      the comparison value

    - #### op

          public short op

      the comparison operator valid values are defined in `Op`

  - ### Constructor Detail

    - #### AttributeConstraint

          public AttributeConstraint(AttributeConstraint c)

      creates a (deep) copy of an attribute constraint

    - #### AttributeConstraint

          public AttributeConstraint(AttributeValue v)

      create an equality constraint with the given value

    - #### AttributeConstraint

          public AttributeConstraint(short o,
                             java.lang.String s)

      create a constraint with the given string value

    - #### AttributeConstraint

          public AttributeConstraint(short o,
                             byte[] s)

      create a constraint with the given byte[] value

    - #### AttributeConstraint

          public AttributeConstraint(short o,
                             int i)

      create a constraint with the given int value

    - #### AttributeConstraint

          public AttributeConstraint(short o,
                             long i)

      create a constraint with the given long value

    - #### AttributeConstraint

          public AttributeConstraint(short o,
                             double d)

      create a constraint with the given long value

    - #### AttributeConstraint

          public AttributeConstraint(short o,
                             boolean b)

      create a constraint with the given boolean value

    - #### AttributeConstraint

          public AttributeConstraint(short o,
                             AttributeValue x)

      create a constraint with the given value

  - ### Method Detail

    - #### isEqualTo

          public boolean isEqualTo(AttributeConstraint x)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga